Coin: SoGLRenderCache Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoGLRenderCache Class Reference
Cache Classes

The SoGLRenderCache class is used to cache OpenGL calls. More...

`#include <Inventor/caches/SoGLRenderCache.h>`

Inheritance diagram for SoGLRenderCache:

## Public Member Functions
| SoGLRenderCache (SoState *state)
virtual | ~SoGLRenderCache ()
void | open (SoState *state)
void | close (void)
void | call (SoState *state)
int | getCacheContext (void) const
virtual SbBool | isValid (const SoState *state) const
virtual void | addNestedCache (SoGLDisplayList *child)
SoGLLazyElement::GLState * | getPreLazyState (void)
SoGLLazyElement::GLState * | getPostLazyState (void)
Public Member Functions inherited from SoCache
| SoCache (SoState *const state)
void | ref (void)
void | unref (SoState *state=NULL)
void | addElement (const SoElement *const elem)
virtual void | addCacheDependency (const SoState *state, SoCache *cache)
const SoElement * | getInvalidElement (const SoState *const state) const
void | invalidate (void)

## Protected Member Functions
virtual void | destroy (SoState *state)
Protected Member Functions inherited from SoCache
virtual | ~SoCache ()

## Detailed Description

The SoGLRenderCache class is used to cache OpenGL calls.

## Constructor & Destructor Documentation

## ◆ SoGLRenderCache()

SoGLRenderCache::SoGLRenderCache | ( | SoState * | state | ) |

Constructor with state being the current state.

## ◆ ~SoGLRenderCache()

SoGLRenderCache::~SoGLRenderCache | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ open()

void SoGLRenderCache::open | ( | SoState * | state | ) |

Opens the cache. All GL calls will be cached until close() is called.

See also
  close()
  call()

## ◆ close()

void SoGLRenderCache::close | ( | void |  | ) |

Closes the cache. Should be called after all GL calls.

See also
  open()

## ◆ call()

void SoGLRenderCache::call | ( | SoState * | state | ) |

Executes the cached display list.

See also
  open()

## ◆ getCacheContext()

int SoGLRenderCache::getCacheContext | ( | void |  | ) | const

Returns the cache context of this cache. This is used to quickly determine if cache can be used for a state.

This method is an extension versus the Open Inventor API.

## ◆ isValid()

SbBool SoGLRenderCache::isValid | ( | const SoState * | state | ) | const
| virtual

Return TRUE if this cache is valid, FALSE otherwise.

Reimplemented from SoCache.

## ◆ addNestedCache()

void SoGLRenderCache::addNestedCache | ( | SoGLDisplayList * | child | ) |
| virtual

Adds a display list which is called from this cache. This is to make sure the child display list isn't destroyed too early.

## ◆ destroy()

void SoGLRenderCache::destroy | ( | SoState * | state | ) |
| protectedvirtual

Can be overridden by subclasses to clean up before they are deleted. Default method does nothing.

Reimplemented from SoCache.

The documentation for this class was generated from the following files:

- SoGLRenderCache.h
- SoGLRenderCache.cpp